# Make dynamic linked lib liblist.dl for demo lib

target: Makefile_cpp liblist.dl

liblist.dl: Makefile_cpp list_cpp.o list_chdl.o
	ch dllink liblist.dl cplusplus list_cpp.o list_chdl.o

list_cpp.o: list_cpp.cpp
	ch dlcomp liblist.dl cplusplus list_cpp.cpp

list_chdl.o: list_chdl.cpp
	ch dlcomp liblist.dl cplusplus list_chdl.cpp

clean:
	rm -f *.o a.out liblist.dl

